"""

This app shows you, how to use values for special steamids and own blocks at values

There is a simplier way to make this app, but it should show you how to use values

"""

'''
 * imports
'''	

import es
import psyco
psyco.full()
import playerlib
from configobj import ConfigObj

'''
 * import applib
'''	

import applib as app

config = es.getAddonPath("cssapps/AdminSpecial") + "/AdminSpecial_config.cfg"
configload = ConfigObj(config)

def load():
	global AppFunc
	global option
	AppFunc = app.NewApp("Admin-Specials", True, False) # reg. a new app "AdminSpecial"
	for x in configload:
		if configload[x]:
			for y in configload[x]:
				if not AppFunc.IsSteamidAllowed(y): # check if the steamid is already allowed to use the app
					AppFunc.AllowSteamid(y) # allow the steamid to use the app
	AppFunc.SetAutoOn(True) # app will auto run
	option = AppFunc.NewOption("Choose a Special", "None") # add a option names "Choose Special" with the standard value "None"
	for x in configload:
		if x == "10hp":
			option.AddValue("10", "Get every round +10 HP", True, Hit10Hp, False) # add the value "10" to the option with the description "Get + 10 HP"
			if configload[x]:
				for y in configload[x]:
					option.AllowSteamidValue(y, "10") # Allow the Value for the steamids
		if x == "20hp":
			option.AddValue("20", "Get every round +20 HP", True, Hit20Hp, False) # add the value "20" to the option with the description "Get + 20 HP"
			if configload[x]:
				for y in configload[x]:
					option.AllowSteamidValue(y, "20") # Allow the Value for the steamids
		if x == "awp":
			option.AddValue("awp", "Get every round an AWP", True, HitAwp, False) # add the value "awp" to the option with the description "Get every round an awp"
			if configload[x]:
				for y in configload[x]:
					option.AllowSteamidValue(y, "awp") # Allow the Value for the steamids
		if x == "m4":
			option.AddValue("m4", "Get every round an M4A1", True, HitM4, False) # add the value "m4" to the option with the description "Get every round an m4"
			if configload[x]:
				for y in configload[x]:
					option.AllowSteamidValue(y, "m4") # Allow the Value for the steamids
		if x == "ak":
			option.AddValue("ak", "Get every round an AK-47", True, HitAk, False) # add the value "ak" to the option with the description "Get every round an AK47"
			if configload[x]:
				for y in configload[x]:
					option.AllowSteamidValue(y, "ak") # Allow the Value for the steamids
		# And so On ...
	AppFunc.Author("Popoklopsi") # set the author to "Popoklopsi"
	AppFunc.Version("1.0") # set the version to "1.0"
	AppFunc.Description("Give Steamids special items") # set the description to "Give Steamids special items"
	
def player_spawn(ev):
	player = playerlib.getPlayer(ev["userid"])
	if AppFunc.UserRunApp(ev["userid"]): # Check if the User run the app
		value = option.GetOptionValue(ev["userid"]) # get the value of the option "Choose Special"
		if value == "10hp":
			player.health += 10
		if value == "20hp":
			player.health += 20
		if value == "awp":
			es.server.queuecmd("es_give %s weapon_awp" % ev["userid"])
		if value == "m4":
			es.server.queuecmd("es_give %s weapon_m4a1" % ev["userid"])
		if value == "ak":
			es.server.queuecmd("es_give %s weapon_ak47" % ev["userid"])
		
def Hit10Hp(userid):
	if AppFunc.CheckTimer(userid): # check if the users timelimit is on
		AppFunc.TurnTimerOn(userid) # turn the timer on
		steamid = es.getplayersteamid(userid)
		option.UpdateUserValue(userid, "10hp") # update the value of the option "Choose Special"
		app.SayText("Updated the #lightgreenValue to +10HP", userid) # say "Updated the Value" to the user
		if app.CheckDebug("player"): # Check if Player debug runs
			app.PrintToLog("Steamid: %s Changed a Setting" % steamid) # Write sth. to the Log
	
def Hit20Hp(userid):
	if AppFunc.CheckTimer(userid): # check if the users timelimit is on
		AppFunc.TurnTimerOn(userid) # turn the timer on
		steamid = es.getplayersteamid(userid)
		option.UpdateUserValue(userid, "20hp") # update the value of the option "Choose Special"
		app.SayText("Updated the #lightgreenValue to +20HP", userid) # say "Updated the Value" to the user
		if app.CheckDebug("player"): # Check if Player debug runs
			app.PrintToLog("Steamid: %s Changed a Setting" % steamid) # Write sth. to the Log
	
def HitAwp(userid):
	if AppFunc.CheckTimer(userid): # check if the users timelimit is on
		AppFunc.TurnTimerOn(userid) # turn the timer on
		steamid = es.getplayersteamid(userid)
		option.UpdateUserValue(userid, "awp") # update the value of the option "Choose Special"
		app.SayText("Updated the #lightgreenValue to AWP", userid) # say "Updated the Value" to the user
		if app.CheckDebug("player"): # Check if Player debug runs
			app.PrintToLog("Steamid: %s Changed a Setting" % steamid) # Write sth. to the Log
	
def HitM4(userid):
	if AppFunc.CheckTimer(userid): # check if the users timelimit is on
		AppFunc.TurnTimerOn(userid) # turn the timer on
		steamid = es.getplayersteamid(userid)
		option.UpdateUserValue(userid, "m4") # update the value of the option "Choose Special"
		app.SayText("Updated the #lightgreenValue to M4A1", userid) # say "Updated the Value" to the user
		if app.CheckDebug("player"): # Check if Player debug runs
			app.PrintToLog("Steamid: %s Changed a Setting" % steamid) # Write sth. to the Log
	
def HitAk(userid):
	if AppFunc.CheckTimer(userid): # check if the users timelimit is on
		AppFunc.TurnTimerOn(userid) # turn the timer on
		steamid = es.getplayersteamid(userid)
		option.UpdateUserValue(userid, "ak") # update the value of the option "Choose Special"
		app.SayText("Updated the #lightgreenValue to AK-47", userid) # say "Updated the Value" to the user
		if app.CheckDebug("player"): # Check if Player debug runs
			app.PrintToLog("Steamid: %s Changed a Setting" % steamid) # Write sth. to the Log